redirection error while clicking the "apply" button

2008-10-23 03:45 - Louis Delacretaz

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Thomas Lecavelier % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 0.7.3

Description

I'm running redmine with mongrels using port 12013 and have setup a subdomain

to redirect to that port, that is example.com:12013 is redmine and red.example.com redirects

to it.

Red.example.com works ok until I hit an "apply" button,

select "view all issues"

click on Apply

Application coninually displays Loading.... until it crashes

The same sequence of events with red.example.com:12013 works fine.

this error message appears in the backend ======================

ActionController::RoutingError (No route matches "/403.shtml" with {:method=>:get}): ======================

supposition is that the applicaiton is not loaded when pressing "apply" on a redirected url?

Redmine 0.7.3.1917 (MySQL)

Rails 2.0.2

MySql 4.1.22

History

#1 - 2008-10-23 08:54 - Thomas Lecavelier

- Assignee set to Thomas Lecavelier

- Priority changed from Normal to Low

- Start date deleted (2008-10-23)

Could you precise which webserver is doing reverse_proxy and post your subdomain definition, please?

(next time, please pass through the help forum for this kind of support, which is not a defect.)

#2 - 2008-10-24 09:48 - Louis Delacretaz

webserver we using is Apache/1.3.41 and the subdomain is "atsdesk.ttsurveys.com.au", atsdesk.ttsurveys.com.au:12013

#3 - 2008-10-25 13:05 - Thomas Lecavelier

By subdomain definition, I meaned the conf snipset from apache where you're setting the reverse proxy, in order to detect a misconf or a

configuration conflict.

Could you had your ruby version too, please?

#4 - 2008-10-26 01:59 - Louis Delacretaz

hmm, this is a hosted site using cpanel 11 to setup the sub-domain and create the rewrites for RoR applications, I'll ask the hoster

ruby 1.8.5

#5 - 2008-10-26 22:06 - Louis Delacretaz

response from the hoster for a conf snipset is (they setup tech.ttsurveys.com.au to test the fault): **************************************************

Actually Ruby on Rails pages are displayed using mongrel web server. Ruby on Rails websites runs on ports like 12013 and it is handled by mongrel

web server.

Regarding sub domains, they are redirected using htaccess. A sample htacess to redirect http://tech.ttsurveys.com.au/ to 

http://ttsurveys.com.au:12013/ is given below for your reference.
http://tech.ttsurveys.com.au/
http://ttsurveys.com.au:12013/


~

~~

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

RewriteEngine on

RewriteCond  ^tech.ttsurveys.com.au$ [OR]

RewriteCond %{HTTP_HOST} ^www.tech.ttsurveys.com.au$

RewriteRule ^(.*)$ "http://127.0.0.1:12013{REQUEST_URI}" [P,QSA,L]

~

~~

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#6 - 2009-12-01 08:39 - Thomas Lecavelier

- Status changed from New to Closed

- Resolution set to Cant reproduce

Too old, no feedback.
